[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: How to "solve" update "excuse" problems?

Paul Slootman wrote:

> Well, the current g++ on alpha sometimes has trouble with C++ code.
> The xsidplay build fails with the following message:
> c++ -DPACKAGE=\"xsidplay\" -DVERSION=\"1.5.4\" -DXSID_HAVE_NOTHROW=1 -DSTDC_HEADERS=1 -DHAVE_IOSTREAM_H=1 -DHAVE_IOMANIP_H=1 -DHAVE_ALGO_H=1 -DHAVE_VECTOR_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_LINUX_SOUNDCARD_H=1 -DHAVE_LINUX=1  -I. -I.  -I./audio -I./widgets  -I/usr/X11R6/include -I/usr/include/qt    -g -O2 -c moc_FilterDialogData.cpp
> moc_FilterDialogData.cpp: In function `static class QMetaObject * FilterDialogData::staticMetaObject()':
> moc_FilterDialogData.cpp:120: Internal compiler error in `gen_reload_inhi', at insn-emit.c:5550
> There have already been bugs reported on similar problems,
> so all I can do at the moment is patiently wait for a new
> g++ version for such packages.

Thank you very much for the note. So I know where the problem on Alpha
lies. I'm still investigating things on the other architectures.

Now I wonder, if woody would become stable what will happen to packages that
build fine on some architectures and on others not. Won't they make it
into stable? (Although this is not a very urgent issue ;-)


Reply to: